import { WidgetBase } from "@csnext/cs-client";
import { DocDatasource } from "./../..";
import { GraphElement } from "@csnext/cs-data";
export declare class TimelineItem {
    element?: GraphElement;
    agent?: GraphElement;
    timeString?: string;
    dateString?: string;
    time?: number;
    action?: string;
    color?: string;
    icon?: string;
}
export default class RecentList extends WidgetBase {
    items: TimelineItem[];
    agents: GraphElement[] | null;
    agentsFilter: GraphElement[] | null;
    actions: string[];
    actionsFilter: string[] | null;
    get source(): DocDatasource | undefined;
    private filterChanged;
    updateTimeline(): void;
    contentLoaded(): void;
    mounted(): void;
}
